Package de.geolykt.starloader.mod

# Class DiscoveredExtension

java.lang.Object
de.geolykt.starloader.mod.DiscoveredExtension

public final class DiscoveredExtension extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DiscoveredExtension.ExternalDependencies`
`static final class`
`DiscoveredExtension.ExternalDependencyArtifact`
`static class`
`DiscoveredExtension.ExternalRepository`
`static enum`
`DiscoveredExtension.LoadStatus`

## Field Summary

Fields
Modifier and Type
Field
Description
`List<URL>`
`files`
`MinestomExtensionClassLoader`
`loader`
`static final String`
`NAME_REGEX`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull DiscoveredExtension`
`fromJSON(@NotNull InputStream in, @NotNull ExtensionPrototype prototype)`
`@NotNull String`
`getAccessWidener()`
Deprecated.
`@NotNull String[]`
`getAuthors()`
`@NotNull String[]`
`getCodeModifiers()`
`@NotNull String[]`
`getDependencies()`
`@NotNull String`
`getEntrypoint()`
`@NotNull DiscoveredExtension.ExternalDependencies`
`getExternalDependencies()`
`@NotNull DiscoveredExtension.LoadStatus`
`getLoadStatus()`
`@NotNull String`
`getMixinConfig()`
`@NotNull String`
`getName()`
`@NotNull String`
`getReversibleAccessSetter()`
Obtains the reversible access setter file required by this extension.
`@NotNull ExtensionPrototype`
`getSourcePrototype()`
`@NotNull String`
`getVersion()`
`static void`
`verifyIntegrity(@NotNull DiscoveredExtension extension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME_REGEX

public static final String NAME_REGEX

See Also:
  - Constant Field Values

### files

public transient List<URL> files

### loader

@Internal public transient MinestomExtensionClassLoader loader

## Method Details

### fromJSON

@NotNull @AvailableSince("4.0.0-a20240711") public static @NotNull DiscoveredExtension fromJSON(@NotNull @NotNull InputStream in, @NotNull @NotNull ExtensionPrototype prototype) throws IOException

Throws:
  `IOException`

### verifyIntegrity

public static void verifyIntegrity(@NotNull @NotNull DiscoveredExtension extension)

### getAccessWidener

@NotNull @Deprecated @ScheduledForRemoval(inVersion="5.0.0") public @NotNull String getAccessWidener()
Deprecated.

### getAuthors

@NotNull public @NotNull String[] getAuthors()

### getCodeModifiers

@NotNull public @NotNull String[] getCodeModifiers()

### getDependencies

@NotNull public @NotNull String[] getDependencies()

### getEntrypoint

@NotNull public @NotNull String getEntrypoint()

### getExternalDependencies

@NotNull public @NotNull DiscoveredExtension.ExternalDependencies getExternalDependencies()

### getLoadStatus

@NotNull public @NotNull DiscoveredExtension.LoadStatus getLoadStatus()

### getMixinConfig

@NotNull public @NotNull String getMixinConfig()

### getName

@NotNull public @NotNull String getName()

### getReversibleAccessSetter

@NotNull public @NotNull String getReversibleAccessSetter()
Obtains the reversible access setter file required by this extension. Returns an empty string if not set.

Returns:
  The path to the reversible access setter file relative to the `files` of this extension.
Since:
  4.0.0

### getSourcePrototype

@NotNull @AvailableSince("4.0.0-a20240711") @Contract(pure=true) public @NotNull ExtensionPrototype getSourcePrototype()

### getVersion

@NotNull public @NotNull String getVersion()